Name:           gerrithooks
Version:        0.1.0
%if 0%{?opensuse_bs}
Release:        0.dev.<CI_CNT>.<B_CNT>
%else
Release:        0
%endif
Summary:        Expandable Gerrit hooks framework
License:        GPL-2
Group:          Development/Languages/Python
Url:            http://download.tizen.org/tools
Source:         gerrithooks-%{version}.tar.gz
Requires:       python-setuptools
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version}
%py_requires
%endif
BuildArch:      noarch
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%description
Framework to plug several extentions into Gerrit Hooks

%prep
%setup -q -n %{name}-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}/%{name}.d

%files
%defattr(-,root,root,-)
%doc README.rst
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}.d
%config(noreplace) %{_sysconfdir}/%{name}/*.conf
%{_bindir}/*
%{python_sitelib}/*

%changelog

